import argparse

parser = argparse.ArgumentParser()
parser.add_argument('--D', type=int, nargs="+", default=[10000], help='data budget')
parser.add_argument('--job', type=int, nargs="+",  help='job list')
args = parser.parse_args()
print(args.D)
print(type(args.D))
for d in args.D:
    print(f"d is {d}, {type(d)}")
print(args.job)